//
//  ComicTouchModeController.h
//  Comic Life
//
//  Created by Ted Slupesky on 12/11/08.
//  Copyright 2008 plasq LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class CSPageFormat;
@class CSImageFile;

@interface ComicTouchModeController : NSObject 
{
	IBOutlet NSPopUpButton* _resolutionPopUp;
	IBOutlet NSPopUpButton* _sizePopUp;
	IBOutlet NSMatrix* _sizeOrResMatrix;
	IBOutlet NSWindow* _detailsSheet;

	BOOL _userChoseSize;

	CSImageFile* _imageFile;

	IBOutlet NSWindow* _querySheet;
	NSPoint _point;
	BOOL _resizeImageToFit;
}

- (void)runDetailsModalForWindow: (NSWindow*)window modalDelegate: (id)delegate didEndSelector: (SEL)selector;

- (IBAction)ok: (id)sender;
- (IBAction)cancel: (id)sender;
- (IBAction)switchMode: (id)sender;
- (CSPageFormat*)createPageFormat;

- (void)runQueryModalForWindow: (NSWindow*)window modalDelegate: (id)delegate didEndSelector: (SEL)selector;

- (IBAction)makeRegularComic: (id)sender;
- (IBAction)makeSinglePhotoComic: (id)sender;

- (CSImageFile*)imageFile;
- (void)setImageFile: (CSImageFile*)imageFile;

- (NSPoint)point;
- (void)setPoint: (NSPoint)point;

- (BOOL)resizeImageToFit;
- (void)setResizeImageToFit: (BOOL)resizeImageToFit;

@end
